# Diagramme de classes

title: Animal example

---
```mermaid
classDiagram

    class User{
        +String name
        +int NbEntiteTuee
    }

    class PlayerActif{
        +int currentLevel
        +ChangeCurrentLevel(int)
        +Play()
    }
    note for PlayerActif "Joueur en jeu"

    class PlayerStatic{
        +int score
        +float percentToSuper
        +HandleUseSuper()
    }
    note for PlayerStatic "Joueur dans les menus"

    User <|-- PlayerActif
    User <|-- PlayerStatic

    class Level{
        +int number
        +String sescription
        +float time
        +int nbTotEnemy
        +int nbEnemyDown
    }
    PlayerActif --> Level : currentLvl
```